:root{
    --kerroin: 10;    
}

#right_slice {
    position: relative;
    padding: 0;
    margin: 0;
    width:100vw;
    height: 100dvh;
    overflow: auto;
}

#right_slice .contentti{
    display:flex;
    position: fixed;
    bottom:10px;
    right:10px;
    width: auto;
    padding: 0px;
    flex-direction: row;
    justify-content: flex-end;
    align-items: flex-end;
    z-index: 9090;
}

#right_slice .contentti button{
    margin: 0;
}

#loadable_list.ruoka{
    position: relative;
    display: flex;
    width:auto;
    min-width: calc( 100% * var(--kerroin) );
    height:auto;
    min-height: 1000dvh;
}

.table{
    position: absolute;
    top:100px;
    left:100px;
    display:flex;
    flex-direction: row;
    flex-wrap: wrap;
    width:auto;
    height:auto;
    min-width: 100px;
    min-height: 100px;
    align-items: center;
    justify-content: center;
    border-radius: 0px;
    gap:0px;
    translate: -50% -50%;
    box-shadow: 0px 0px 8px rgba(22,22,22,0.7);
    padding: 0px;
    margin: 0px;
    background-color: rgba(138,94,44,1.00);
    z-index: 1;
}

.table .poyta_id {
    position: absolute;
    display: flex;
    width:auto;
    height:auto;
    align-items: center;
    justify-content: center;
    font-size: min(2.5vw, 15px);
    text-wrap:wrap;
    color:rgba(255,210,81,1.00);
    font-weight: 900;
    box-sizing: border-box;
    z-index: 1234;
}

.table .poyta_paikka{
    position:absolute;
    bottom:0px;
    left:0px;
    right:0px;
    width:100%;
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 300;
    letter-spacing: 1px;
    height: auto;
    text-align: center;
    color:white;
    translate: 0px -10px;
}

.table .tuoli{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50%;
    height: 65px;
    background-color: rgba(182,105,16,1.00);
    margin: 0;
    box-sizing: border-box;
    background-size:35px 35px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("/admin/imgs/seat.svg");
    color:rgba(194,194,194,1.00);
    z-index: 55;
}

.table .addplace{
    display: none;
    align-items: center;
    justify-content: center;
    width:auto;
    height: 30px;
    padding: 0px 12px;
    font-size:14px;
    text-align: center;
    border-radius: 0px;
    border-bottom-right-radius: 15px;
    margin:auto;
    z-index: 888;
}


.table .print{
    display: none;
    align-items: center;
    justify-content: center;
    width:auto;
    height: 30px;
    padding: 0px 12px;
    font-size:13px;
    border-radius: 0px;
    border-bottom-left-radius: 15px;
    text-align: center;
    margin:auto;
    z-index: 888;
}

.table .selite{
    position: absolute;
    bottom:15px;
    left:0px;
    width: 100%;
    height: 18px;
    padding: 5px;
    font-size:11px;
    line-height: 18px;
    letter-spacing: 1px;
    box-sizing: border-box;
    color:white;
    z-index: 666;
}

.table:hover > .selite {
    height: auto;
}

#editabletable{
    position: fixed;
    top:0px;
    bottom:0px;
    right:0px;
    left:220px;
    width:calc( 90% - 220px );
    height:90vh;
    margin: auto;
    overflow-x: hidden;
    overflow-y: auto;
    background-color:rgba(228,235,235,1.00);
    border-radius: 25px;
    translate: -200% 0px;
    transition: all 0.2s;
    z-index: 9903;
}

#editabletable h5{
    
    width:100%;
    height: 40px;
    line-height: 40px;
    margin:40px auto 15px auto;
    font-size: 20px;
    font-weight: 600;
    color:rgba(45,62,135,1.00);
    
}

#editabletable #listapenkeista{
    display:flex;
    width:90%;
    height:auto;
    flex-direction: column;
    align-items: center;
    margin:0px auto;
    justify-content: center;
    gap:10px 0px;
}

#editabletable #listapenkeista .seat{
    display:flex;
    position: relative;
    flex-direction: row;
    width: 100%;
    height:45px;
    padding:0px 4%;
    box-sizing: border-box;
    align-items: center;
    justify-content: space-between;
    border-radius: 20px;
    background-color:white;
}

#editabletable #listapenkeista .seat .removebtn{
    position: absolute;
    height: 30px;
    line-height: 30px;
    background-color:rgba(218,19,19,1.00);
    right: 10px;
}

#editabletable #selite {
    display: flex;
    width:90%;
    height:50px;
    line-height: 50px;
    font-size: 15px;
    font-weight: 500;
    padding:0px 25px;
    box-sizing: border-box;
    border-radius: 5px;
    -webkit-appearance:none;
    outline:none;
    margin:20px auto;
    border:0;
}

